<?php
$cs = Yii::app()->getClientScript();
$cs->registerScript("deleteProductCategory",  "function deleteProductCategory(id){
    var r = confirm('Are you sure to delete this?');
        if(r==true)
        {
            jQuery.ajax({
              'type'  : 'post',
              'data'  : 'id=' + id,
              'url'  : $('#liveSite').val()+'index.php?r=masproductcategory/delete',
              'cache': false,
              'success':function(data){
                if(data=='fail'){
                    t8.error('Error while Delete');
                }else {
                    reloadTable('#tbl_productcategory_details');
                   t8.success('ProductCategory Deleted SuccessFully');
                }
               }
            });
        }

   
};", CClientScript::POS_HEAD);
$cs = Yii::app()->getClientScript();
$baseUrl = Yii::app()->baseUrl;


    $cs->registerScript("load", '

        $(document).ready(function() {



        var table_id ="#tbl_productcategory_details";

        var table = $(table_id).on("preXhr.dt", function (e, settings, data) {

        data.product_category_id = $("#product_category_id").val();


        return data;

        }).DataTable({

            scrollY         : "380px",

           // scrollX         : "true",

           // scrollCollapse  : true,

            pageLength      : 50,

			processing: true,

            order:  [["1", "desc"]],
            ajax: {

                url: "' . Yii::app()->createUrl('masproductcategory/GetList') . '",

                type: "POST",

                cache : false,

                "data": function ( params ) {

                    params.YII_CSRF_TOKEN = "'.Yii::app()->request->csrfToken.'";

                }

            },

            serverSide:     true,

            fixedColumns:   true,

			processing: true,

            fixedHeader: {

                headerOffset: $("header.main").outerHeight()

            }

        } );

        $(".dataTables_scrollFoot").hide();

    });', CClientScript::POS_HEAD);
    ?>
    <section class="panel">
        <header class="panel-heading clearfix panel-theame">
            <i class="fa fa-tasks"></i> Product Category   
            <div class="pull-right">
                <?php  if (isset(Yii::app()->user->havePermissionOn['master_product_add']) ||  Yii::app()->user->authorised_user == 1) {?>

                <button class="btn btn-sm btn-theme" onclick="loadPopupModal('masproductcategory/create','Add New ProductCategory','lg')"><i class="fa fa-plus"></i> ADD</button>
                <?php } ?>
            </div>
              <div class=" col-sm-2 pull-right">
            <?php echo CHtml::dropdownList('product_category_id', '', MasProductCategory::getProductCategory(), array('data-label' => 'Product Category', 'class' => 'form-control', 'onChange' => 'reloadTable("#tbl_productcategory_details")', 'empty' => 'Category', 'data-search' => true)); ?>    
        </div>
        </header>
        <div class="panel-body">
            <div class="custom-data-table">
                <table class="table table-hover table-bordered personal-task" id="tbl_productcategory_details">
                    <thead>
                        <tr>
                            <th>Sl No</th>
                            <th>Product Category</th>
                            
                            <th>IsActive</th>
                             <th>Sort Order</th>
                             <th>Report Sort Order</th>
                            <th>Actions</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <th>Sl No</th>
                            <th>Product Category</th>
                            
                            <th>IsActive</th>
                             <th>Sort Order</th>
                            <th>Report Sort Order</th>
                            <th>Actions</th>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </section>
